Bug 1551565 (CVE-2017-18208) - CVE-2017-18208 kernel: Inifinite loop vulnerability in mm/madvise.c:madvise_willneed() function allows local denial of service
Summary: CVE-2017-18208 kernel: Inifinite loop vulnerability in mm/madvise.c:madvise_w...
Status: NEW
Alias: CVE-2017-18208
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20171130,repor...
Keywords: Security
Depends On: 1551566 1552458 1552459 1552460 1552461 1552462 1552463 1552464 1552981 1552982 1552983 1552984
Blocks: 1551570
TreeView+ depends on / blocked
 
Reported: 2018-03-05 12:29 UTC by Adam Mariš
Modified: 2019-02-08 14:57 UTC (History)
43 users (show)

Fixed In Version: kernel 4.15
Doc Type: If docs needed, set a value
Doc Text:
The madvise_willneed function in the Linux kernel allows local users to cause a denial of service (infinite loop) by triggering use of MADVISE_WILLNEED for a DAX mapping.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2948 None None None 2018-10-30 08:58 UTC
Red Hat Product Errata RHSA-2018:3083 None None None 2018-10-30 07:31 UTC
Red Hat Product Errata RHSA-2018:3096 None None None 2018-10-30 07:37 UTC

Description Adam Mariš 2018-03-05 12:29:32 UTC
The madvise_willneed function in mm/madvise.c in the Linux kernel before 4.14.4 allows local users to cause a denial of service (infinite loop) by triggering use of MADVISE_WILLNEED for a DAX mapping.

Upstream patch:

https://github.com/torvalds/linux/commit/6ea8d958a2c95a1d514015d4e29ba21a8c0a1a91

Comment 7 errata-xmlrpc 2018-10-30 07:31:30 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:3083 https://access.redhat.com/errata/RHSA-2018:3083

Comment 8 errata-xmlrpc 2018-10-30 07:37:38 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:3096 https://access.redhat.com/errata/RHSA-2018:3096

Comment 9 errata-xmlrpc 2018-10-30 08:58:18 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:2948 https://access.redhat.com/errata/RHSA-2018:2948


Note You need to log in before you can comment on or make changes to this bug.